Bug 1101875

Summary: CVE-2014-0242 python26-mod_wsgi: mod_wsgi: information leak [epel-5]
Product: [Fedora] Fedora EPEL Reporter: Murray McAllister <mmcallis>
Component: python26-mod_wsgiAssignee: Orphan Owner <extras-orphan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: el5CC: extras-orphan, vdanen
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mod_wsgi-3.5-1.fc19 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-17 16:57:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1101873    

Description Murray McAllister 2014-05-28 05:58:41 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-5 tracking bug for python26-mod_wsgi: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-05-28 05:58:57 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1101873,1101875

Comment 2 Fedora Update System 2014-05-30 19:36:38 UTC
python26-mod_wsgi-3.5-1.el5,mod_wsgi-3.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-mod_wsgi-3.5-1.el5,mod_wsgi-3.5-1.el5

Comment 3 Fedora Update System 2014-05-30 19:36:59 UTC
mod_wsgi-3.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mod_wsgi-3.5-1.fc19

Comment 4 Fedora Update System 2014-05-30 19:37:20 UTC
mod_wsgi-3.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mod_wsgi-3.5-1.fc20

Comment 5 Fedora Update System 2014-05-31 18:36:15 UTC
Package python26-mod_wsgi-3.5-1.el5, mod_wsgi-3.5-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python26-mod_wsgi-3.5-1.el5 mod_wsgi-3.5-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1544/python26-mod_wsgi-3.5-1.el5,mod_wsgi-3.5-1.el5
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-06-17 16:57:18 UTC
python26-mod_wsgi-3.5-1.el5, mod_wsgi-3.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-06-17 23:25:46 UTC
mod_wsgi-3.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-06-17 23:35:00 UTC
mod_wsgi-3.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.